## fo-number

fo-number —

## Synopsis

    struct      FoNumber;
    struct      FoNumberClass;
    FoDatatype* fo_number_new                   (void);
    FoDatatype* fo_number_new_with_value        (gdouble value);
    gdouble     fo_number_get_value             (FoDatatype *number);
    FoDatatype* fo_number_get_number_one        (void);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoNumber

## Properties

      "value"                gdouble              : Read / Write / Construct Only

## Description

## Details

### struct FoNumber

    struct FoNumber;

### struct FoNumberClass

    struct FoNumberClass;

### fo_number_new ()

    FoDatatype* fo_number_new                   (void);

Creates a new FoNumber initialized to default value.

Returns : | the new FoNumber

### fo_number_new_with_value ()

    FoDatatype* fo_number_new_with_value        (gdouble value);

Creates a new FoNumber set to `value`.

`value` : | Value of the new FoNumber.
Returns : | The new FoNumber.

### fo_number_get_value ()

    gdouble     fo_number_get_value             (FoDatatype *number);

Get the value of `number`

`number` : | FoNumber
Returns : | Numeric value of `number`

### fo_number_get_number_one ()

    FoDatatype* fo_number_get_number_one        (void);

Create and return an FoNumber with the well-known value 1.0.

This saves creation of multiple FoNumber objects that all have the value 1.0.

Returns : |

## Properties

"`value`" (gdouble : Read / Write / Construct Only) | Number value.